summaryrefslogtreecommitdiffstats
path: root/source/n/ca-certificates
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/n/ca-certificates
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/n/ca-certificates')
-rwxr-xr-xsource/n/ca-certificates/ca-certificates.SlackBuild13
-rw-r--r--source/n/ca-certificates/patches/fixup_DESTDIR.diff55
-rw-r--r--source/n/ca-certificates/patches/remove_debconf.diff12
3 files changed, 26 insertions, 54 deletions
diff --git a/source/n/ca-certificates/ca-certificates.SlackBuild b/source/n/ca-certificates/ca-certificates.SlackBuild
index b3efd180d..83d61a8b1 100755
--- a/source/n/ca-certificates/ca-certificates.SlackBuild
+++ b/source/n/ca-certificates/ca-certificates.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for ca-certificates
# Copyright 2009,2011 Robby Workman Northport, AL, USA
-# Copyright 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +24,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=ca-certificates
-VERSION=${VERSION:-20120623}
+VERSION=${VERSION:-20130906}
ARCH=noarch
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -35,9 +35,9 @@ PKG=$TMP/package-$PRGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz || exit 1
+cd $PRGNAM || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -45,7 +45,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-zcat $CWD/patches/remove_debconf.diff.gz | patch -p1 || exit 1
zcat $CWD/patches/fixup_DESTDIR.diff.gz | patch -p1 || exit 1
zcat $CWD/patches/fixup_update-ca-certificates.diff.gz | patch -p1 || exit 1
diff --git a/source/n/ca-certificates/patches/fixup_DESTDIR.diff b/source/n/ca-certificates/patches/fixup_DESTDIR.diff
index 291848f69..964064184 100644
--- a/source/n/ca-certificates/patches/fixup_DESTDIR.diff
+++ b/source/n/ca-certificates/patches/fixup_DESTDIR.diff
@@ -1,39 +1,15 @@
-diff -Nur ca-certificates-20111211.orig/Makefile ca-certificates-20111211/Makefile
---- ca-certificates-20111211.orig/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/Makefile 2011-12-17 23:05:37.590951594 -0600
-@@ -17,7 +17,7 @@
-
- install:
- for dir in $(SUBDIRS); do \
-- mkdir $(DESTDIR)/$(CERTSDIR)/$$dir; \
-+ mkdir -p $(DESTDIR)/$(CERTSDIR)/$$dir; \
- $(MAKE) -C $$dir install CERTSDIR=$(DESTDIR)/$(CERTSDIR)/$$dir; \
- done
- for dir in sbin; do \
-diff -Nur ca-certificates-20111211.orig/cacert.org/Makefile ca-certificates-20111211/cacert.org/Makefile
---- ca-certificates-20111211.orig/cacert.org/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/cacert.org/Makefile 2011-12-17 23:06:16.927521153 -0600
-@@ -9,5 +9,6 @@
-
- install:
- cat root.crt class3.crt > cacert.org.crt
-+ mkdir -p $(CERTSDIR)
- install -m 644 cacert.org.crt $(CERTSDIR)/cacert.org.crt
-
-diff -Nur ca-certificates-20111211.orig/debconf.org/Makefile ca-certificates-20111211/debconf.org/Makefile
---- ca-certificates-20111211.orig/debconf.org/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/debconf.org/Makefile 2011-12-17 23:06:27.118409644 -0600
+--- ./cacert.org/Makefile.orig
++++ ./cacert.org/Makefile
@@ -7,6 +7,7 @@
clean:
install:
+ mkdir -p $(CERTSDIR)
for p in *.crt; do \
- install -m 644 $$p $(CERTSDIR)/$$p ; \
+ install -m 644 $$p $(CERTSDIR)/cacert.org_$$p ; \
done
-diff -Nur ca-certificates-20111211.orig/mozilla/Makefile ca-certificates-20111211/mozilla/Makefile
---- ca-certificates-20111211.orig/mozilla/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/mozilla/Makefile 2011-12-17 23:06:34.556328253 -0600
+--- ./mozilla/Makefile.orig
++++ ./mozilla/Makefile
@@ -9,6 +9,7 @@
-rm -f *.crt
@@ -42,18 +18,27 @@ diff -Nur ca-certificates-20111211.orig/mozilla/Makefile ca-certificates-2011121
for p in *.crt; do \
install -m 644 $$p $(CERTSDIR)/$$p ; \
done
-diff -Nur ca-certificates-20111211.orig/sbin/Makefile ca-certificates-20111211/sbin/Makefile
---- ca-certificates-20111211.orig/sbin/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/sbin/Makefile 2011-12-17 23:07:03.841007810 -0600
+--- ./sbin/Makefile.orig
++++ ./sbin/Makefile
@@ -8,4 +8,5 @@
clean:
install:
+ mkdir -p $(DESTDIR)/usr/sbin
install -m755 update-ca-certificates $(DESTDIR)/usr/sbin/
-diff -Nur ca-certificates-20111211.orig/spi-inc.org/Makefile ca-certificates-20111211/spi-inc.org/Makefile
---- ca-certificates-20111211.orig/spi-inc.org/Makefile 2011-12-11 13:54:02.000000000 -0600
-+++ ca-certificates-20111211/spi-inc.org/Makefile 2011-12-17 23:08:18.499190893 -0600
+--- ./Makefile.orig
++++ ./Makefile
+@@ -17,7 +17,7 @@
+
+ install:
+ for dir in $(SUBDIRS); do \
+- mkdir $(DESTDIR)/$(CERTSDIR)/$$dir; \
++ mkdir -p $(DESTDIR)/$(CERTSDIR)/$$dir; \
+ $(MAKE) -C $$dir install CERTSDIR=$(DESTDIR)/$(CERTSDIR)/$$dir; \
+ done
+ for dir in sbin; do \
+--- ./spi-inc.org/Makefile.orig
++++ ./spi-inc.org/Makefile
@@ -7,6 +7,7 @@
clean:
diff --git a/source/n/ca-certificates/patches/remove_debconf.diff b/source/n/ca-certificates/patches/remove_debconf.diff
deleted file mode 100644
index 58fce4226..000000000
--- a/source/n/ca-certificates/patches/remove_debconf.diff
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -Nur ca-certificates-20111211.orig/Makefile ca-certificates-20111211/Makefile
---- ca-certificates-20111211.orig/Makefile 2011-12-17 23:10:21.709842750 -0600
-+++ ca-certificates-20111211/Makefile 2011-12-17 23:10:10.096969815 -0600
-@@ -3,7 +3,7 @@
- #
-
- CERTSDIR = /usr/share/ca-certificates
--SUBDIRS = mozilla cacert.org debconf.org spi-inc.org
-+SUBDIRS = mozilla cacert.org spi-inc.org
-
- all:
- for dir in $(SUBDIRS); do \